﻿@using System.Web.UI.WebControls
@Html.DevExpress().GridView(
    setting =>
    {
        setting.Name = "grdDataReport";
       
        setting.CallbackRouteValues = new { Controller = "SupplierReconciliation", Action = "ReportPartial" };
        
        setting.ClientSideEvents.BeginCallback = "OnBeginCallbackGrid";
       
        setting.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
        setting.Width = Unit.Percentage(100);

        setting.Settings.ShowFilterRow = true;
        setting.Settings.ShowFilterRowMenu = true;
        setting.Settings.ShowColumnHeaders = true;
        setting.Settings.HorizontalScrollBarMode = ScrollBarMode.Auto;
        setting.Settings.VerticalScrollBarMode = ScrollBarMode.Auto;

        setting.CommandColumn.ClearFilterButton.Visible = true;
        setting.CommandColumn.ShowSelectCheckbox = true;
        setting.CommandColumn.Visible = true;
        setting.CommandColumn.Caption = "No";
        setting.CommandColumn.Width = Unit.Pixel(50);

        setting.KeyFieldName = "VendorName";


        object dataItem;

        setting.Columns.Add(
           column =>
           {
               column.FieldName = "VendorName";
               column.Caption = "Vendor Code";
             
               column.CellStyle.Wrap = DefaultBoolean.True;
               column.ColumnType = MVCxGridViewColumnType.TextBox;
               column.Width = Unit.Pixel(110);
               column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
               column.CellStyle.VerticalAlign = VerticalAlign.Middle;
               
               column.SetDataItemTemplateContent(
                   content =>
                   {
                       Html.DevExpress().Label(
                             label =>
                             {
                                 label.Name = "SRVendorCodeLabel" + content.VisibleIndex;
                                 label.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                 label.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                                 label.Text = (content as GridViewDataItemTemplateContainer).Text;
                                 
                             }).Render();
                   });
           });


        setting.Columns.Add(col =>
        {
            
            col.FieldName = "";
            col.Caption = "TMMIN</br>Balance";
            col.Width = Unit.Pixel(130);

            col.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            col.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            col.CellStyle.VerticalAlign = VerticalAlign.Middle;
            col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
            col.SetDataItemTemplateContent(
            content =>
            {
                GridViewDataItemTemplateContainer c = (GridViewDataItemTemplateContainer)content;
                Html.DevExpress().HyperLink(
                    link =>
                    {
                        link.Name = "SRTMMINBalanceLabel" + content.VisibleIndex;
                        link.NavigateUrl = "javascript:void(0)";
                        link.Properties.Text = content.Text;
                        link.ClientVisible = true;
                        link.Width = 150;
                        link.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OnDeliveryNoClick('{0}'); }}", (content as GridViewDataItemTemplateContainer).Text);

                    }).Render();
            });
        });

                
        setting.Columns.Add(
           column =>
           {
               column.FieldName = "";
               column.Caption = "Supplier</br>Balance";
               column.CellStyle.Wrap = DefaultBoolean.True;
               column.ColumnType = MVCxGridViewColumnType.TextBox;
               column.Width = Unit.Pixel(30);
               column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
               column.CellStyle.VerticalAlign = VerticalAlign.Middle;
               column.SetDataItemTemplateContent(
                   content =>
                   {
                       Html.DevExpress().Label(
                             label =>
                             {
                                 label.Name = "SRSupplierBalanceLabel" + content.VisibleIndex;
                                 label.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                 label.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                                 label.Text = (content as GridViewDataItemTemplateContainer).Text;
                                 label.Properties.DisplayFormatString = "dd.MM.yyyy";
                             }).Render();
                   });
           });

        setting.Columns.Add(
column =>
{
    column.FieldName = "";
    column.Caption = "Different";
    column.CellStyle.Wrap = DefaultBoolean.True;
    column.ColumnType = MVCxGridViewColumnType.TextBox;

    column.Width = Unit.Pixel(130);
    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
    column.SetDataItemTemplateContent(
         content =>
         {
             Html.DevExpress().Label(
                 label =>
                 {
                     label.Name = "SRReportDifferentLabel" + content.VisibleIndex;
                     label.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                     label.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                     label.Text = (content as GridViewDataItemTemplateContainer).Text;
                     
                 }).Render();
         });
});
        
        
        setting.Columns.AddBand(
            columnBand =>
            {
                columnBand.Caption = "Feedback Status";
                columnBand.Columns.Add(
                    column =>
                    {
                        column.Caption = "OK";
                        column.Name = "";
                        column.FieldName = "";
                        column.Width = Unit.Pixel(50);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    }
                    );

                columnBand.Columns.Add(
                    column =>
                    {
                        column.Caption = "Invoice not</br>yet submit";
                        column.Name = "";
                        column.FieldName = "";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    }
                    );

                columnBand.Columns.Add(
                    column =>
                    {
                        column.Caption = "Invoice not</br>yet created";
                        column.Name = "";
                        column.FieldName = "";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    }
                    );

                columnBand.Columns.Add(
                    column =>
                    {
                        column.Caption = "Invoice</br>already paid";
                        column.Name = "";
                        column.FieldName = "";
                        column.Width = Unit.Pixel(90);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    }
                    );

                columnBand.Columns.Add(
                    column =>
                    {
                        column.Caption = "Invoice can't be</br>acknowledge";
                        column.Name = "";
                        column.FieldName = "";
                        column.Width = Unit.Pixel(100);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    }
                    );

                columnBand.Columns.Add(
                    column =>
                    {
                        column.Caption = "Invoice service</br>part";
                        column.Name = "";
                        column.FieldName = "";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    }
                    );

                columnBand.Columns.Add(
                    column =>
                    {
                        column.Caption = "Invoice Other";
                        column.Name = "";
                        column.FieldName = "";
                        column.Width = Unit.Pixel(90);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    }
                    );
            }
            );

        
        

        
    }).GetHtml()

    <div style="height: 5px; width:100%;">
</div>

<div style="height: 15px; width:100%;">
</div>


    